Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.oracle
Class OracleCharType

    java.lang.Object
      org.apache.cayenne.access.types.CharType
          org.apache.cayenne.dba.oracle.OracleCharType

All Implemented Interfaces:
  ExtendedType

    public class OracleCharType

extends CharType

Oracle specific CHAR type handling. If connection property "fixedString" is true, then 'a' equal 'a ' in a CHAR(4) while parameter binding in PreparedStatement.

Since:
  3.1

Field Summary

Fields inherited from class org.apache.cayenne.access.types.CharType
`trimmingChars, usingClobs`

Constructor Summary
`OracleCharType()`

Method Summary
`void` | `setJdbcObject(PreparedStatement st, Object val, int pos, int type, int precision)` Initializes a single parameter of a PreparedStatement with object value.

Methods inherited from class org.apache.cayenne.access.types.CharType
`getClassName, isTrimmingChars, isUsingClobs, materializeObject, materializeObject, readCharStream, readClob, readValueStream, setTrimmingChars, setUsingClobs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleCharType

    public OracleCharType()

Method Detail

### setJdbcObject

    public void setJdbcObject(PreparedStatement st,
                              Object val,
                              int pos,
                              int type,
                              int precision)
                       throws Exception

  Description copied from interface: `ExtendedType`
  Initializes a single parameter of a PreparedStatement with object value.

  Specified by:
    `setJdbcObject` in interface `ExtendedType`
  Overrides:
    `setJdbcObject` in class `CharType`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.